Download voice design audio sample
Downloads the WAV audio sample for the voice design. Returns the latest version’s sample by default, or a specific version when ?version=N is provided. The id parameter accepts either a UUID or the design name.
GET
/
voice_designs
/
{id}
/
sample
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.voiceDesigns.downloadSample('id');
console.log(response);
const content = await response.blob();
console.log(content);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.voice_designs.download_sample(
id="id",
)
print(response)
content = response.read()
print(content)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.VoiceDesigns.DownloadSample(
context.TODO(),
"id",
telnyx.VoiceDesignDownloadSampleParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.core.http.HttpResponse;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignDownloadSampleParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
HttpResponse response = client.voiceDesigns().downloadSample("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.voice_designs.download_sample("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->voiceDesigns->downloadSample('id', version: 1);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs download-sample \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/voice_designs/{id}/sample \
--header 'Authorization: Bearer <token>'"<string>"{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The voice design UUID or name.
Query Parameters
Specific version number to download the sample for. Defaults to the latest version.
Required range:
x >= 1Response
WAV audio sample binary.
The response is of type file.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.voiceDesigns.downloadSample('id');
console.log(response);
const content = await response.blob();
console.log(content);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.voice_designs.download_sample(
id="id",
)
print(response)
content = response.read()
print(content)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.VoiceDesigns.DownloadSample(
context.TODO(),
"id",
telnyx.VoiceDesignDownloadSampleParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.core.http.HttpResponse;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignDownloadSampleParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
HttpResponse response = client.voiceDesigns().downloadSample("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.voice_designs.download_sample("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->voiceDesigns->downloadSample('id', version: 1);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs download-sample \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/voice_designs/{id}/sample \
--header 'Authorization: Bearer <token>'"<string>"{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}